#include "io430.h"
#include <stdio.h>

// Aufgabe 1: Ausgabe falsch herum; den Fall a == 0 ignorieren
void write(unsigned int a)
{
  while(a > 0)
  {
    putchar('0' + a % 10);
    a /= 10;
  }
  putchar('\n');
}

// Erweiterung: Hexadezimal-Ausgabe derselben Art
void writeHex(unsigned int a)
{
  while(a > 0)
  {
    unsigned int b = a % 16;
    if(b > 9) // A bis F statt normaler Ziffern ntig
    {
      b -= 10; // A...F -> 0...5
      b += 'A' - '0';
    }
    putchar('0' + b);
    a /= 16;
  }
  putchar('\n');
}

int main(void)
{
  WDTCTL = WDTPW + WDTHOLD;

  write(7);
  write(13);
  write(892);
  write(3123);
  write(63144u);

  // Natrlich kann man die Funktion writeHex auch
  // mit Dezimalzahlen aufrufen. Nur sieht man dann
  // nicht so schnell einen Fehler.
  writeHex(0x3);
  writeHex(0xA6);
  writeHex(0x53E);
  writeHex(0xFA43u);
  
  return 0;
}